function user_conv(str, typ){
	if(typ == "mid.P"){
		return getPMid(str);
	}
	
	if(typ == "mid.L"){
		return getLMid(str);
	}

	if(typ == "mid.2"){
		return str.substring(0, 2);
	}
	
	if(typ == "mid.4"){
		return str.substring(0, 4);
	}
	
	if(typ == "br"){
		return str.replace(/\\n/g, "<br>");
	}
	
	return str;
}

// LのModule Idを取得
function getLMid(str) {
    // 例：MSBEL001
    if (str.length < 8) {
        return str;
    }

    // 第5文字が "P" か確認し、置換する
    if (str[4] === 'P') {
        return str.substring(0, 4) + 'L' + str.substring(5);
    }
    
    // 第6文字が "P" か確認し、置換する
    if (str[5] === 'P') {
        return str.substring(0, 5) + 'L' + str.substring(6);
    }

    return str;
}

// PのModule Idを取得
function getPMid(str) {
    // 例：MSBEL001
    if (str.length < 8) {
        return str;
    }

    // 第5文字が "L" か確認し、置換する
    if (str[4] === 'L') {
        return str.substring(0, 4) + 'P' + str.substring(5);
    }
    
    // 第6文字が "P" か確認し、置換する
    if (str[5] === 'L') {
        return str.substring(0, 5) + 'P' + str.substring(6);
    }

    return str;
}